#include "pch.h"
#include "BK0010.h"
#include "resource.h"


constexpr auto BRD_10_FOCAL_BNK = 5;
constexpr auto BRD_10_TESTS_BNK = 7;

CBK0010::CBK0010(CPlatform *p)
	: CBK001001(p)
{}

CBK0010::~CBK0010()
    = default;

bool CBK0010::OnInitDevice()
{
	// инициализируем список загружаемых ПЗУ
	static const std::array<CBKMPIDevice::BoardRomList_t, BK10RomListSize> m_arrBK10RomList =
	{
		{
			{ IDS_INI_BK10_RE2_017_MONITOR, BRD_10_MON10_BNK },
			{ IDS_INI_BK10_RE2_084_FOCAL,   BRD_10_FOCAL_BNK },
			{ IDS_INI_BK10_RE2_019_MSTD,    BRD_10_TESTS_BNK }
		}
	};
	// инициализация карты памяти
	return InitMemoryModules(m_arrBK10RomList);
}

